/*
 * PhysiqueInspecteurNibnb.java
 *
 * Created on 30 octobre 2008, 15:05
 */

package org.cocktail.corossol.client.nib;

import org.cocktail.application.palette.JPanelCocktail;

public class PhysiqueInspecteurNib extends JPanelCocktail {
    
    /** Creates new form PhysiqueInspecteurNibnb */
    public PhysiqueInspecteurNib() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktailSerie = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktailDocumentation = new org.cocktail.application.palette.JTextFieldCocktail();
        jTextFieldCocktailGarantie = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktailMaintenance = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail4 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktailModele = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail5 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail6 = new org.cocktail.application.palette.JLabelCocktail();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextAreaCommentaire = new javax.swing.JTextArea();
        jButtonCocktailValider = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail7 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktailCodeBarre = new org.cocktail.application.palette.JTextFieldCocktail();

        jLabelCocktail1.setText("Numero de serie : ");

        jTextFieldCocktailSerie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktailSerieActionPerformed(evt);
            }
        });

        jLabelCocktail2.setText("Documentation : ");

        jTextFieldCocktailDocumentation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktailDocumentationActionPerformed(evt);
            }
        });

        jTextFieldCocktailGarantie.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktailGarantieActionPerformed(evt);
            }
        });

        jLabelCocktail3.setText("Garantie :");

        jTextFieldCocktailMaintenance.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktailMaintenanceActionPerformed(evt);
            }
        });

        jLabelCocktail4.setText("Maintenance : ");

        jTextFieldCocktailModele.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktailModeleActionPerformed(evt);
            }
        });

        jLabelCocktail5.setText("Modele : ");

        jLabelCocktail6.setText("Commentaire : ");

        jTextAreaCommentaire.setColumns(20);
        jTextAreaCommentaire.setRows(5);
        jScrollPane1.setViewportView(jTextAreaCommentaire);

        jButtonCocktailValider.setText("Valider");

        jButtonCocktailAnnuler.setText("Annuler");

        jLabelCocktail7.setText("Code Barre :");

        jTextFieldCocktailCodeBarre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktailCodeBarreActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 317, Short.MAX_VALUE)
                    .add(jTextFieldCocktailDocumentation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 317, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextFieldCocktailSerie, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 225, Short.MAX_VALUE))
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailGarantie, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 317, Short.MAX_VALUE)
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailMaintenance, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 317, Short.MAX_VALUE)
                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailModele, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 317, Short.MAX_VALUE)
                    .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 116, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jTextFieldCocktailCodeBarre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 240, Short.MAX_VALUE)
                            .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(77, 77, 77))
                    .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(30, 30, 30)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailSerie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextFieldCocktailDocumentation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextFieldCocktailGarantie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextFieldCocktailMaintenance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextFieldCocktailModele, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextFieldCocktailCodeBarre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jTextFieldCocktailSerieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktailSerieActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldCocktailSerieActionPerformed

    private void jTextFieldCocktailDocumentationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktailDocumentationActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldCocktailDocumentationActionPerformed

    private void jTextFieldCocktailGarantieActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktailGarantieActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldCocktailGarantieActionPerformed

    private void jTextFieldCocktailMaintenanceActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktailMaintenanceActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldCocktailMaintenanceActionPerformed

    private void jTextFieldCocktailModeleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktailModeleActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldCocktailModeleActionPerformed

    private void jTextFieldCocktailCodeBarreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktailCodeBarreActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldCocktailCodeBarreActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnuler;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailValider;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail4;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail5;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail6;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail7;
    public javax.swing.JScrollPane jScrollPane1;
    public javax.swing.JTextArea jTextAreaCommentaire;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailCodeBarre;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailDocumentation;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailGarantie;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailMaintenance;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailModele;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailSerie;
    // End of variables declaration//GEN-END:variables
	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnuler() {
		return jButtonCocktailAnnuler;
	}

	public void setJButtonCocktailAnnuler(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAnnuler) {
		jButtonCocktailAnnuler = buttonCocktailAnnuler;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailValider() {
		return jButtonCocktailValider;
	}

	public void setJButtonCocktailValider(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailValider) {
		jButtonCocktailValider = buttonCocktailValider;
	}

	public javax.swing.JTextArea getJTextAreaCommentaire() {
		return jTextAreaCommentaire;
	}

	public void setJTextAreaCommentaire(javax.swing.JTextArea textAreaCommentaire) {
		jTextAreaCommentaire = textAreaCommentaire;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailDocumentation() {
		return jTextFieldCocktailDocumentation;
	}

	public void setJTextFieldCocktailDocumentation(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailDocumentation) {
		jTextFieldCocktailDocumentation = textFieldCocktailDocumentation;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailGarantie() {
		return jTextFieldCocktailGarantie;
	}

	public void setJTextFieldCocktailGarantie(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailGarantie) {
		jTextFieldCocktailGarantie = textFieldCocktailGarantie;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailMaintenance() {
		return jTextFieldCocktailMaintenance;
	}

	public void setJTextFieldCocktailMaintenance(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailMaintenance) {
		jTextFieldCocktailMaintenance = textFieldCocktailMaintenance;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailModele() {
		return jTextFieldCocktailModele;
	}

	public void setJTextFieldCocktailModele(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailModele) {
		jTextFieldCocktailModele = textFieldCocktailModele;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailSerie() {
		return jTextFieldCocktailSerie;
	}

	public void setJTextFieldCocktailSerie(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailSerie) {
		jTextFieldCocktailSerie = textFieldCocktailSerie;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailCodeBarre() {
		return jTextFieldCocktailCodeBarre;
	}

	public void setJTextFieldCocktailCodeBarre(org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailCodeBarre) {
		jTextFieldCocktailCodeBarre = textFieldCocktailCodeBarre;
	}
    
}
